<template>
  <div id="home">
    <el-row class="project-synopsis">
      <el-col :xs="24" :sm="24" style="float:left">
        <div class="block">
          <el-carousel height="500px">
            <el-carousel-item
              v-for="(item, index) in imgUrl"
              :key="'photo' + index"
            >
              <div class="grid-content">
                <img :src="item.url" height="500px" />
              </div>
              <h3 class="small">{{ item.detail }}</h3>
            </el-carousel-item>
          </el-carousel>
        </div>
      </el-col>
      <el-col :xs="24" :sm="24">
        <el-divider>项目介绍</el-divider>
      </el-col>

      <el-col :span="12">
        <div>
          <video
            :src="`${videoHost}/videos/3xuanchuan.mp4`"
            id="videoPlay"
            class="video"
            height="300px"
            controls="controls"
          >
            您的浏览器不支持 video 视频播放。
          </video>
        </div>
      </el-col>
      <el-col :span="12">
        <div
          class="synopsis theme-content"
          style="font-size:16px;line-height:2;text-indent:2em;"
        >
          <p>
            思想道德修养与法律基础虚拟仿真实验之“缅怀先贤，不忘初心 --
            与冯秉铨先生跨越时空的对话”，重塑我国著名电子学家及教育家冯秉铨先生数字人物形象，融入华南理工大学校园场景。
          </p>
          <p>
            在虚拟时空中，学生与冯秉铨先生面对面交流，身临其境感受老一辈科学家及教育家的艰辛历程，从而深刻理解“不忘初心、牢记使命”的重要意义。
          </p>
          <el-button
            type="danger"
            class="m-t-50"
            style="float:right"
            @click="goToExperiment"
            >进入实验</el-button
          >
        </div>
      </el-col>
    </el-row>

    <!-- <el-row> -->
    <div>
      <!-- <el-col :xs="24" :sm="24"> -->
      <el-divider>实验介绍</el-divider>
      <!-- </el-col> -->
      <div class="flex row">
        <div
          class="synopsis theme-content"
          style="font-size:16px;line-height:2;text-indent:2em;text-align: left;flex: 1;"
        >
          <p>
            本实验整体包括主题引入、“爱国之情，报国之志”、“开拓创新，无私奉献”和总结展望四个部分，中间两部分各包含有虚拟现实交流互动和实验测试题目两部分。
          </p>
          <img src="@/assets/experiment/step_1.png" style="width: 100%;" />
        </div>
        <div
          class="flex flex column content-center align-center"
          style="flex:1;"
        >
          <video
            :src="`${videoHost}/videos/import4.mp4`"
            id="videoPlay"
            class="video"
            height="300px"
            controls="controls"
          >
            您的浏览器不支持 video 视频播放。
          </video>
        </div>
      </div>
    </div>
    <!-- </el-row> -->

    <el-row class="project-team">
      <el-divider>项目团队</el-divider>
      <div style="margin-top:50px" class="flex row team-container">
        <el-card v-for="(leader, index) in leaders" :key="index">
          <div>
            <img :src="leader.url" class="image" />
          </div>
          <div>
            <div class="theme-min-headline">
              <span style="padding-right:20px">{{ leader.name }}</span>
            </div>
            <div class="bottom clearfix">
              <!-- <p>职务：{{ leader.title }}</p> -->
              <p>所属单位：{{ leader.school }}</p>
              <p>专业技术职务：{{ leader.role }}</p>
              <p>行政职务: {{ leader.role1 }}</p>
            </div>
          </div>
        </el-card>
      </div>
    </el-row>
  </div>
</template>

<script>
export default {
  name: "Home",
  data() {
    return {
      imgUrl: [
        {
          url: require("../../assets/Carousel/1.png"),
          detail: "1979年11月17日  冯秉铨主持华南工学院建校27周年庆祝大会"
        },
        {
          url: require("../../assets/Carousel/2.png"),
          detail: "冯秉铨先生的科研成果著作及用过的实物"
        },
        {
          url: require("../../assets/Carousel/3.png"),
          detail: "冯秉铨先生在讲课"
        },
        { url: require("../../assets/Carousel/4.jpg"), detail: "虚拟图片1" },
        { url: require("../../assets/Carousel/5.jpg"), detail: "虚拟图片2" },
        { url: require("../../assets/Carousel/6.jpg"), detail: "虚拟图片3" }
      ],
      leaders: [
        {
          name: "章熙春",
          title: "研究员",
          school: "华南理工大学",
          role: "研究员",
          role1: "学校党委书记、教育部思创中心(华南理工大学)主任",
          url: require("../../assets/persons/1.png")
        },
        {
          name: "徐向民",
          title: "电子与信息学院教授",
          school: "华南理工大学电子与信息学院",
          role: "教授",
          role1: "学院党委书记",
          url: require("../../assets/persons/2.png")
        },
        {
          name: "项聪",
          title: "研究员",
          school: "华南理工大学教务处",
          role: "研究员",
          role1: "教务处处长",
          url: require("../../assets/persons/6.jpeg")
        },
        {
          name: "文宏",
          title: "教授",
          school: "华南理工大学教育部思政中心",
          role1: "教育部思创中心副主任",
          role: "教授",
          url: require("../../assets/persons/3.png")
        },
        {
          name: "张国启",
          title: "马克思主义学院教授",
          school: "华南理工大学马克思主义学院",
          role: "教授",
          role1: "副院长",
          url: require("../../assets/persons/4.png")
        }
      ]
    };
  },
  computed: {
    videoHost() {
      if (process.env.NODE_ENV === "development")
        return "http://localhost:3000";
      return "";
    }
  },
  methods: {
    goToExperiment() {
      this.$router.push("/experiment-objective");
    }
  }
};
</script>

<style lang="scss" scoped>
.project-synopsis {
  margin: 10px 0;
  .synopsis {
    text-align: left;
  }
}
.project-team {
  margin: 30px 0;
}
.el-carousel--horizontal {
  overflow-y: hidden;
}

.el-carousel__item h3 {
  color: #475669;
  font-size: 14px;
  opacity: 0.75;
  line-height: 150px;
  margin: 0;
}

.el-carousel__item:nth-child(2n) {
  background-color: transparent;
}

.el-carousel__item:nth-child(2n + 1) {
  background-color: transparent;
}
.image {
  height: 100%;
}
.card {
  margin-top: 5px;
  .border {
    padding: {
      top: 15px;
      bottom: 15px;
      left: 20px;
      right: 20px;
    }
    border-radius: 5px;
    box-shadow: 0px 0px 2px rgba(0, 0, 0, 0.25);
  }
}
.image {
  width: 140px;
  height: 140px;
}
.team-container {
  justify-content: space-between;
  .el-card {
    width: 230px;
    font-size: 14px;
    .bottom {
      text-align: left;
    }
  }
}
</style>
